Subject: Re: linux-next: manual merge of the f2fs tree with Linus' tree

From: Jaegeuk Kim <[email-masked]>
Date: Mon, 22 Feb 2016 16:24:45 -0800

Hi Stephen,

On Tue, Feb 23, 2016 at 10:09:51AM +1100, Stephen Rothwell wrote:
> Hi Jaegeuk,
> 
> Today's linux-next merge of the f2fs tree got conflicts in:
> 
>   fs/ext4/crypto.c
>   fs/ext4/ext4.h
>   fs/ext4/namei.c
> 
> between commits:
> 
>   28b4c263961c ("ext4 crypto: revalidate dentry after adding or removing the key")
>   ff978b09f973 ("ext4 crypto: move context consistency check to ext4_file_open()")
> 
> from Linus' tree (presumably) bug fixes in v4.5-rc5 and commit:
> 
>   e29c55a8d406 ("ext4 crypto: migrate into vfs's crypto engine")

Thank you for the report.
Let me rebase my tree on top of v4.5-rc5 to resolve this at this moment.
And, I'll scoop the ext4 patch out of my -next tree for a while until
getting any reivew from Ted.

Thanks,

> 
> from the f2fs tree.
> 
> I do not have enough information to fix this up, so I dropped the last
> commit from the f2fs tree for today.
> 
> I *assume* that this has been passed by Ted - I can;t easily tell as
> there are no Acked-by or Reviewed-by tags in the f2fs tree commit.  If
> so, perhaps you could either merge v4.5-rc5 yourself and do the
> resolutions necessary (with nice comments in the merge commit), or give
> me some hints on how to do it.
> 
> -- 
> Cheers,
> Stephen Rothwell